发新帖

如何手动安装NVIDIA驱动软件

deepinuser17 / 2019-11-21 14:04
浏览: 10686 / 回复: 135
查看: 10686|回复: 136

如何手动安装NVIDIA驱动软件

  [复制链接]
收藏
跳转到指定楼层
本帖最后由 deepinuser17 于 2020-4-17 04:29 编辑

如果深度自带的图形驱动管理器(大黄蜂)不能转换到闭源的NVIDIA驱动软件.可以按以下方法自己手动安装.

注: 这个方法已经在深度Deepin 15.11, Deepin 20 Beta, UOS 20上测试成功安装。请先完全阅读所有步骤再开始安装。

注: 这个方法只适用于可以查到N卡的机器.

: 闭源的NVIDIA驱动软件版本有几个系列,440, 390, 340, 304. 根据显卡的型号和发行日期,选择最新的系列版本.如果某系列不支持现有显卡,安装时会有提示.从最新的版本开始试.对于几年前的机器,可以试390, 再老的机器,试340. 下载时,同时下载440, 390, 340系列的版本,这样可以节省时间.

注: 闭源的NVIDIA驱动也会有bug.有时一个版本一切正常,下一个新版本可能会出现黑屏,无法启动X window的问题.遇到这种情况,退回到以前的版本就可以解决问题了.如果有更新的版本,也可以尝试更新的版本.

:有些机器有双显卡,Intel内置显卡和NVIDIA独立显卡。在这种机器上,系统初始设置的显卡是内置Intel显卡。需要手动转换换到NVIDIA独显。具体步骤见链接:
https://bbs.deepin.org/forum.php?mod=viewthread&tid=178542&extra=&page=1
https://bbs.deepin.org/forum.php?mod=viewthread&tid=191810&extra=



快捷方法
1. 查看机器是否有NVIDIA显卡.如果命令的结果里没有NVIDIA字样,那么机器目前没有N卡可使用,无需继续尝试剩余步骤.
  1. lspci | egrep "VGA|3D"
复制代码
样本结果:
  1. 01:00.0 VGA compatible controller: NVIDIA Corporation GK107M [GeForce GT 750M Edition] (rev a1)
复制代码

2. 从www.nvidia.com下载NVIDIA驱动软件包,一般浏览器会存在~/Downloads文件夹里.然后把NVIDIA驱动软件包拷贝到/var/tmp文件夹里
3. 下载附件,install_nvidia.sh.tar.gz
4.  打开深度终端,运行以下命令:

  1. cd ~/Downloads
  2. tar zxf install_nvidia.sh.tar.gz
  3. chmod +x install_nvidia.sh
  4. sudo ./install_nvidia.sh <N卡驱动版本号>
复制代码

例如,驱动文件包NVIDIA-Linux-x86_64-440.36.run的版本号是440.36, 样本命令:
  1. cd ~/Downloads
  2. tar zxf install_nvidia.sh.tar.gz
  3. chmod +x install_nvidia.sh
  4. sudo ./install_nvidia.sh 440.36
复制代码
注: 这个命令会执行详细方法里步骤安装N卡驱动.在这个过程中,机器暂时会进入文本状态,机器会重启两次.



详细方法
1. 查看机器是否有NVIDIA显卡.如果命令的结果里没有NVIDIA字样,那么机器目前没有N卡可使用,无需继续尝试剩余步骤. 
  1. lspci | egrep "VGA|3D"
复制代码

样本结果:
  1. 01:00.0 VGA compatible controller: NVIDIA Corporation GK107M [GeForce GT 750M Edition] (rev a1)
复制代码

2. 从www.nvidia.com下载NVIDIA驱动软件包,一般浏览器会存在~/Downloads文件夹里.

3. 安装编译所需要的软件
  1. sudo apt -y install linux-headers-amd64 linux-headers-deepin-amd64 gcc make dkms
复制代码

4. 停用初始开源的驱动器nouveau
    检查机器是否使用nouveau驱动器:
  1. $ lsmod | grep nouveau
  2. nouveau              1720320  9
  3. mxm_wmi                16384  1 nouveau
  4. wmi                    24576  2 mxm_wmi,nouveau
  5. i2c_algo_bit           16384  2 nvidiafb,nouveau
  6. ttm                   102400  1 nouveau
  7. drm_kms_helper        172032  1 nouveau
  8. drm                   397312  12 nouveau,ttm,drm_kms_helper
  9. video                  45056  2 apple_gmux,nouveau
复制代码


    先创建一个文件,/etc/modprobe.d/blacklist-nouveau.conf, 包含以下两行:
  1. blacklist nouveau
  2. options nouveau modeset=0
复制代码
   更新kernel initramfs文件:
  1. sudo cp /boot/initrd.img-$(uname -r){,.with_nouveau}
  2. sudo update-initramfs -u
复制代码
   设定机器启动时进入文本模式, 然后重启机器.
  1. sudo systemctl set-default multi-user
  2. sudo shutdown -r now
复制代码

5. 安装闭源的NVIDIA驱动
    机器启动以后,在文本模式下登录.确认nouveau驱动没有被加载:

  1. $ lsmod | grep nouveau
复制代码

     然后运行下列命令,安装NVIDIA驱动 (NVIDIA驱动版本要视显卡而定, 注意使用合适的版本)
  1. cd ~/Downloads
  2. sudo sh ./NVIDIA-Linux-x86_64-440.31.run
复制代码
   在提示时,选: 1. 使用DKMS方法 2. 选32位版本支持 3. 选安装libglvnd文件.最后一项选no.见下面的截图.

6. 设置机器启动时进入图形模式,并重启机器.
  1. sudo systemctl set-default graphical
  2. sudo shutdown -r now
复制代码
重启后,检核NVIDIA驱动.打开深度终端,运行nvidia-smi命令.样本结果:
  1. $ nvidia-smi
  2. Thu Nov 21 13:29:45 2019      
  3. +-----------------------------------------------------------------------------+
  4. | NVIDIA-SMI 440.31       Driver Version: 440.31       CUDA Version: 10.2     |
  5. |-------------------------------+----------------------+----------------------+
  6. | GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
  7. | Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
  8. |===============================+======================+======================|
  9. |   0  GeForce GT 750M     Off  | 00000000:01:00.0 N/A |                  N/A |
  10. | N/A   69C    P0    N/A /  N/A |    191MiB /  1999MiB |     N/A      Default |
  11. +-------------------------------+----------------------+----------------------+
  12.                                                                               
  13. +-----------------------------------------------------------------------------+
  14. | Processes:                                                       GPU Memory |
  15. |  GPU       PID   Type   Process name                             Usage      |
  16. |=============================================================================|
  17. |    0                    Not Supported                                       |
  18. +-----------------------------------------------------------------------------+
复制代码

nvidia_install1.png
nvidia_install2.png
nvidia_install3.png
nvidia_install4.png
nvidia_install5.png

install_nvidia.sh.tar.gz

1.06 KB, 下载次数: 452

评分

参与人数 4贡献 +10 收起 理由
lie209 + 3 非常实用!
wdhuag + 1 加分鼓励 : )
l0rraine + 3 加分鼓励 : )
i8520 + 3 感谢解答 : )

查看全部评分

12

主题

34

帖子

340

积分

-r--r-----

Rank: 2

积分
340
gabriel_anger 发表于 2019-11-21 14:26:30 | 显示全部楼层
安装时会出现Error:Unable to load the 'nvidia-drm' kernel module,导致安装不成功,无法启动,请问该怎么解决

4

主题

59

帖子

343

积分

-r--r-----

Rank: 2

积分
343
mobansou 发表于 2019-11-21 14:41:52 | 显示全部楼层
ubuntu-drivers devices #查看你该装什么样的驱动
sudo apt-get install nvidia-* #安装*对应的型号
sudo apt-get update
sudo reboot #更新并重启

23

主题

674

帖子

2027

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2027
lbygljq 发表于 2019-11-21 15:19:30 | 显示全部楼层
收藏备用。。。

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-22 11:18:10 | 显示全部楼层
gabriel_anger 发表于 2019-11-21 14:26
安装时会出现Error:Unable to load the 'nvidia-drm' kernel module,导致安装不成功,无法启动,请问该怎么 ...

你是按照每一个步骤安装的吗?

这个安装方法需要编译内核插件.编译需要linux-headers, gcc, make软件包,检查一下是否已经安装:
  1. for p in linux-headers gcc make; do dpkg -l | grep $p; done
复制代码


如果编译出现错误,也会导致你提到的问题.NVIDIA安装会生成一个日志文件,/var/log/nvidia-installer.log. 这个日志文件会报告哪里出现错误.如果可以上传这个文件,别人可以帮你查找原因.

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-22 11:21:31 | 显示全部楼层
这个手动安装方法已经在深度Deepin 15.11, Deepin V20操作系统上测试,都可以成功安装NVIDIA驱动器.

12

主题

34

帖子

340

积分

-r--r-----

Rank: 2

积分
340
gabriel_anger 发表于 2019-11-22 11:39:37 | 显示全部楼层
deepinuser17 发表于 2019-11-22 11:18
你是按照每一个步骤安装的吗?

这个安装方法需要编译内核插件.编译需要linux-headers, gcc, make软件包 ...

按你的命令查看了,是有这些的
微信截图_20191122113749.png

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-22 12:05:25 | 显示全部楼层
gabriel_anger 发表于 2019-11-22 11:39
按你的命令查看了,是有这些的

上传/var/log/nvidia-installer.log看看

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-22 12:31:09 | 显示全部楼层
在安装闭源NVIDIA驱动器之前, 机器会随机卡死,鼠标无法移动, 或是无法点击。 看来开源的nouveau驱动器在15.11上很不稳定, 也许是所用版本太低?

换成闭源NVIDIA驱动器之后, 机器稳定多了。

2

主题

9

帖子

88

积分

-r--------

Rank: 1

积分
88
trader_r 发表于 2019-11-28 21:07:30 | 显示全部楼层
谢谢,终于安装成功了!

深度截图_选择区域_20191128210057.jpg

2

主题

9

帖子

88

积分

-r--------

Rank: 1

积分
88
trader_r 发表于 2019-11-28 21:19:25 | 显示全部楼层
在系统应用里面多了一个
NVIDIA X Server Settings

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-29 02:01:24 | 显示全部楼层
trader_r 发表于 2019-11-28 21:19
在系统应用里面多了一个
NVIDIA X Server Settings
  1. NVIDIA X Server Settings
复制代码

是厂家提供的显卡管理器.可以用来设置多屏显示,分辨率,显示屏旋转等.

0

主题

12

帖子

68

积分

-r--------

Rank: 1

积分
68
zhaoxuekui 发表于 2019-11-29 10:58:49 | 显示全部楼层
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Fri Nov 29 10:23:27 2019
installer version: 440.36

PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

nvidia-installer command line:
    ./nvidia-installer

Unable to load: nvidia-installer ncurses v6 user interface

Using: nvidia-installer ncurses user interface
-> Detected 8 CPUs online; setting concurrency level to 8.
-> Installing NVIDIA driver version 440.36.
-> The NVIDIA driver appears to have been installed previously using a different installer. To prevent potential conflicts, it is recommended either to update the existing installation using the same mechanism by which it was originally installed, or to uninstall the existing installation before installing this driver.

Please review the message provided by the maintainer of this alternate installation method and decide how to proceed:

Please use the Debian packages instead of the .run file.


(Answer: Continue installation)
-> Running distribution scripts
   executing: '/usr/lib/nvidia/pre-install'...
   
   
   
   
   If you want to use the nvidia-installer please uninstall the Debian packages
   first.  The two methods of installation cannot be used at the same time.
   
   -ne
Terminating nvidia-installer in 10 seconds.  
   -ne
Terminating nvidia-installer in 9 seconds.  
   -ne
Terminating nvidia-installer in 8 seconds.  
   -ne
Terminating nvidia-installer in 7 seconds.  
   -ne
Terminating nvidia-installer in 6 seconds.  
   -ne
Terminating nvidia-installer in 5 seconds.  
   -ne
Terminating nvidia-installer in 4 seconds.  
   -ne
Terminating nvidia-installer in 3 seconds.  
   -ne
Terminating nvidia-installer in 2 seconds.  
   -ne
Terminating nvidia-installer in 1 seconds.  
   
   Killing nvidia-installer



不能完成安装 ,上面是日志,帮忙看看怎么回事

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-29 11:13:39 | 显示全部楼层
zhaoxuekui 发表于 2019-11-29 10:58
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Fri Nov 29 10:23:27 2019
in ...

你的机器上好像有N卡驱动软件包.你需要卸载这些软件包.

查看安装的N卡软件包
  1. dpkg -l | grep -i nvidia
复制代码

0

主题

12

帖子

68

积分

-r--------

Rank: 1

积分
68
zhaoxuekui 发表于 2019-11-29 11:44:11 | 显示全部楼层
deepinuser17 发表于 2019-11-29 11:13
你的机器上好像有N卡驱动软件包.你需要卸载这些软件包.

查看安装的N卡软件包

zhao@zhao-PC:~$ dpkg -l |grep -i nvidia
ii  bbswitch-dkms                                 0.8-4                               amd64        Interface for toggling the power on NVIDIA Optimus video cards
ii  bumblebee                                     3.2.1-14                            amd64        NVIDIA Optimus support for Linux
ii  bumblebee-nvidia                              3.2.1-14                            amd64        NVIDIA Optimus support using the proprietary NVIDIA driver
ii  glx-alternative-nvidia                        0.8.8~bpo9+1                        amd64        allows the selection of NVIDIA as GLX provider
ii  libegl-nvidia0:amd64                          390.87-2~bpo9+1                     amd64        NVIDIA binary EGL library
ii  libegl-nvidia0:i386                           390.87-2~bpo9+1                     i386         NVIDIA binary EGL library
ii  libegl1-nvidia:amd64                          390.87-2~bpo9+1                     amd64        NVIDIA binary EGL library (non-GLVND variant)
ii  libegl1-nvidia:i386                           390.87-2~bpo9+1                     i386         NVIDIA binary EGL library (non-GLVND variant)
ii  libgl1-nvidia-glx:amd64                       390.87-2~bpo9+1                     amd64        NVIDIA binary OpenGL/GLX library (non-GLVND variant)
ii  libgl1-nvidia-glx:i386                        390.87-2~bpo9+1                     i386         NVIDIA binary OpenGL/GLX library (non-GLVND variant)
ii  libgles-nvidia1:amd64                         390.87-2~bpo9+1                     amd64        NVIDIA binary OpenGL|ES 1.x library
ii  libgles-nvidia1:i386                          390.87-2~bpo9+1                     i386         NVIDIA binary OpenGL|ES 1.x library
ii  libgles-nvidia2:amd64                         390.87-2~bpo9+1                     amd64        NVIDIA binary OpenGL|ES 2.x library
ii  libgles-nvidia2:i386                          390.87-2~bpo9+1                     i386         NVIDIA binary OpenGL|ES 2.x library
ii  libglx-nvidia0:amd64                          390.87-2~bpo9+1                     amd64        NVIDIA binary GLX library
ii  libglx-nvidia0:i386                           390.87-2~bpo9+1                     i386         NVIDIA binary GLX library
ii  libnvidia-cfg1:amd64                          390.87-2~bpo9+1                     amd64        NVIDIA binary OpenGL/GLX configuration library
ii  libnvidia-cfg1:i386                           390.87-2~bpo9+1                     i386         NVIDIA binary OpenGL/GLX configuration library
ii  libnvidia-egl-wayland1:amd64                  390.87-2~bpo9+1                     amd64        NVIDIA binary Wayland EGL external platform library
ii  libnvidia-egl-wayland1:i386                   390.87-2~bpo9+1                     i386         NVIDIA binary Wayland EGL external platform library
ii  libnvidia-eglcore:amd64                       390.87-2~bpo9+1                     amd64        NVIDIA binary EGL core libraries
ii  libnvidia-eglcore:i386                        390.87-2~bpo9+1                     i386         NVIDIA binary EGL core libraries
ii  libnvidia-glcore:amd64                        390.87-2~bpo9+1                     amd64        NVIDIA binary OpenGL/GLX core libraries
ii  libnvidia-glcore:i386                         390.87-2~bpo9+1                     i386         NVIDIA binary OpenGL/GLX core libraries
ii  libnvidia-ml1:amd64                           390.87-2~bpo9+1                     amd64        NVIDIA Management Library (NVML) runtime library
ii  nvidia-alternative                            390.87-2~bpo9+1                     amd64        allows the selection of NVIDIA as GLX provider
ii  nvidia-driver                                 390.87-2~bpo9+1                     amd64        NVIDIA metapackage
ii  nvidia-driver-bin                             390.87-2~bpo9+1                     amd64        NVIDIA driver support binaries
ii  nvidia-driver-libs-nonglvnd:amd64             390.87-2~bpo9+1                     amd64        NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES libraries)
ii  nvidia-driver-libs-nonglvnd:i386              390.87-2~bpo9+1                     i386         NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES libraries)
ii  nvidia-driver-libs-nonglvnd-i386:i386         390.87-2~bpo9+1                     i386         NVIDIA metapackage (non-GLVND OpenGL/EGL/etc. 32-bit libraries)
ii  nvidia-egl-wayland-common                     390.87-2~bpo9+1                     amd64        NVIDIA binary Wayland EGL external platform - common files
ii  nvidia-egl-wayland-icd:amd64                  390.87-2~bpo9+1                     amd64        NVIDIA Wayland EGL external platform library (ICD)
ii  nvidia-egl-wayland-icd:i386                   390.87-2~bpo9+1                     i386         NVIDIA Wayland EGL external platform library (ICD)
ii  nvidia-installer-cleanup                      20151021+4                          amd64        cleanup after driver installation with the nvidia-installer
ii  nvidia-kernel-common                          20151021+4                          amd64        NVIDIA binary kernel module support files
ii  nvidia-kernel-dkms                            390.87-2~bpo9+1                     amd64        NVIDIA binary kernel module DKMS source
ii  nvidia-kernel-support                         390.87-2~bpo9+1                     amd64        NVIDIA binary kernel module support files
ii  nvidia-legacy-check                           390.87-2~bpo9+1                     amd64        check for NVIDIA GPUs requiring a legacy driver
ii  nvidia-modprobe                               384.111-2~deb9u1                    amd64        utility to load NVIDIA kernel modules and create device nodes
ii  nvidia-nonglvnd-vulkan-common                 390.87-2~bpo9+1                     amd64        NVIDIA Vulkan driver - common files (non-GLVND variant)
ii  nvidia-nonglvnd-vulkan-icd:amd64              390.87-2~bpo9+1                     amd64        NVIDIA Vulkan ICD (non-GLVND variant)
ii  nvidia-nonglvnd-vulkan-icd:i386               390.87-2~bpo9+1                     i386         NVIDIA Vulkan ICD (non-GLVND variant)
ii  nvidia-persistenced                           384.111-1~deb9u1                    amd64        daemon to maintain persistent software state in the NVIDIA driver
ii  nvidia-support                                20151021+4                          amd64        NVIDIA binary graphics driver support files
ii  nvidia-vdpau-driver:amd64                     390.87-2~bpo9+1                     amd64        Video Decode and Presentation API for Unix - NVIDIA driver
ii  primus                                        0~20150328-4                        amd64        client-side GPU offloading for NVIDIA Optimus
ii  xserver-xorg-video-nvidia                     390.87-2~bpo9+1                     amd64        NVIDIA binary Xorg driver
zhao@zhao-PC:~$


查了一下,显示有这么多,需要一个一个卸载吗

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-29 12:26:30 | 显示全部楼层
zhaoxuekui 发表于 2019-11-29 11:44
zhao@zhao-PC:~$ dpkg -l |grep -i nvidia
ii  bbswitch-dkms                                 0.8-4    ...

你已经通过大黄蜂安装了N卡驱动390.87版本.390.87版本不支持你的显卡吗?如果390.87支持你的显卡,就没有必要再手动安装N卡驱动.

运行命令nvidia-smi,查看一下.

另外可以查看N卡驱动是否被加载.运行命令:
  1. lsmod | grep -i nvidia
  2. modinfo nvidia
复制代码

0

主题

12

帖子

68

积分

-r--------

Rank: 1

积分
68
zhaoxuekui 发表于 2019-11-29 12:59:30 | 显示全部楼层
deepinuser17 发表于 2019-11-29 12:26
你已经通过大黄蜂安装了N卡驱动390.87版本.390.87版本不支持你的显卡吗?如果390.87支持你的显卡,就没有 ...

是的,大黄蜂并没有启用我的独显,通过lspci看到以下

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)


万分感谢你的回复

17

主题

601

帖子

2651

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2651
deepinuser17 发表于 2019-11-29 13:12:19 | 显示全部楼层
zhaoxuekui 发表于 2019-11-29 12:59
是的,大黄蜂并没有启用我的独显,通过lspci看到以下

00:02.0 VGA compatible controller: Intel Corpor ...

你的机器没有N卡.你可以打开BIOS,查看一下N卡是否被选为初始显卡.

删除大黄蜂所安装的软件,可以用以下命令:
  1. dpkg -l | grep -i nvidia | awk '{ print $2 }' | cut -d: -f1 | xargs apt-get -y remove --purge
复制代码

0

主题

12

帖子

68

积分

-r--------

Rank: 1

积分
68
zhaoxuekui 发表于 2019-11-29 13:30:07 | 显示全部楼层
deepinuser17 发表于 2019-11-29 13:12
你的机器没有N卡.你可以打开BIOS,查看一下N卡是否被选为初始显卡.

删除大黄蜂所安装的软件,可以用以 ...

删除软件后,可以进行安装了,不过到最后提示了错误

Error:Unable to load the 'nvidia-drm' kernel module

这个问题楼上有人遇到了,我翻翻看怎么解决,真是太感谢您了!!

0

主题

12

帖子

68

积分

-r--------

Rank: 1

积分
68
zhaoxuekui 发表于 2019-11-29 13:34:36 | 显示全部楼层
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Fri Nov 29 13:23:27 2019
installer version: 440.36

PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

nvidia-installer command line:
    ./nvidia-installer

Unable to load: nvidia-installer ncurses v6 user interface

Using: nvidia-installer ncurses user interface
-> Detected 1 CPUs online; setting concurrency level to 1.
-> Installing NVIDIA driver version 440.36.
-> Would you like to register the kernel module sources with DKMS? This will allow DKMS to automatically build a new module, if you install a different kernel later. (Answer: Yes)
-> Install NVIDIA's 32-bit compatibility libraries? (Answer: Yes)
Looking for install checker script at ./libglvnd_install_checker/check-libglvnd-install.sh
   executing: '/bin/sh ./libglvnd_install_checker/check-libglvnd-install.sh'...
   Checking for libglvnd installation.
   Checking libGLdispatch...
   Checking libGLdispatch dispatch table
   Checking call through libGLdispatch
   All OK
   libGLdispatch is OK
   Checking for libGLX
   libGLX is OK
   Checking for libEGL
   libEGL is OK
   Checking entrypoint library libOpenGL.so.0
   Checking call through libGLdispatch
   Checking call through library libOpenGL.so.0
   dlopen("libOpenGL.so.0") failed: libOpenGL.so.0: cannot open shared object file: No such file or directory
   Checking entrypoint library libGL.so.1
   Checking call through libGLdispatch
   Checking call through library libGL.so.1
   All OK
   Entrypoint library libGL.so.1 is OK

   Found libglvnd libraries: libGL.so.1 libEGL.so.1 libGLX.so.0 libGLdispatch.so.0
   Missing libglvnd libraries: libOpenGL.so.0

-> An incomplete installation of libglvnd was found. All of the essential libglvnd libraries are present, but one or more optional components are missing. Do you want to install a full copy of libglvnd? This will$
Will install libglvnd libraries.
Will install libEGL vendor library config file to /usr/share/glvnd/egl_vendor.d
-> Searching for conflicting files:
-> done.
-> Installing 'NVIDIA Accelerated Graphics Driver for Linux-x86_64' (440.36):
   executing: '/usr/sbin/ldconfig'...
-> done.
-> Driver file installation is complete.


翻了楼上的贴子,没看到是怎么解决的,附上日志,帮忙看一下
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部